## org.jCharts.properties
Class Properties

    java.lang.Object
      org.jCharts.properties.Properties

All Implemented Interfaces:
  Serializable, HTMLTestable

Direct Known Subclasses:
  AreaProperties, AxisProperties, AxisTypeProperties

    public abstract class Properties

extends Object
implements Serializable, HTMLTestable

See Also:
  Serialized Form

Field Summary
`private Paint` `backgroundPaint`
`static Paint` `DEFAULT_BACKGROUND_PAINT`

Constructor Summary
`Properties()`

Method Summary
`Paint` `getBackgroundPaint()`
`void` `setBackgroundPaint(Paint backgroundPaint)`
`void` `toHTML(HTMLGenerator htmlGenerator)` Enables the testing routines to display the contents of this Object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_BACKGROUND_PAINT

    public static final Paint DEFAULT_BACKGROUND_PAINT

### backgroundPaint

    private Paint backgroundPaint

Constructor Detail

### Properties

    public Properties()

Method Detail

### setBackgroundPaint

    public void setBackgroundPaint(Paint backgroundPaint)

  Parameters:
    `backgroundPaint` -

### getBackgroundPaint

    public Paint getBackgroundPaint()

  Returns:
    Paint

### toHTML

    public void toHTML(HTMLGenerator htmlGenerator)

  Enables the testing routines to display the contents of this Object.

  Specified by:
    `toHTML` in interface `HTMLTestable`
  Parameters:
    `htmlGenerator` -